Subject: Re: Start shrimp with sdr, ...

From: Christoph Fleck <[email-masked]>
Date: Wed, 9 Sep 1998 12:37:27 +0200 (MET DST)

On Tue, 8 Sep 1998, Dave Thaler wrote:

> > > The start.exe comes from win95. I have both NT4.0 and win95 on my machine.
> > > Copy the start.exe from any win95 to your NT and it should work.
> > 
> > That not correct at all:
> > 
> > > I need the funktion to run shrimp in background. Otherwise sdr will stay 
> > > until you exit shrimp.
> > > On unix a "&" will do this. Win95 has start. And NT?
> > 
> > Tcl can start shrimp in the background with "exec shrimp &" but shrimp 
> > will fail to come up on my box.
> > With "exec start shrimp" it works.
> 
> Your email wasn't clear.  Did you figure out what you needed to do?

Yes.

> In NT, "start" is built-in to the command shell.  So exec'ing
> "start foo" on W95 would be "cmd /c start foo" on NT.

Nearly, "cmd /c start foo" on NT4.0 give the control not back to sdr 
like "start foo" on W95. 

> Does this help?

Yes, it does, thank you Dave.
"exec cmd /C start shrimp &" will work on NT instead of "exec start shrimp".
No need to copy start.exe from win95 to NT.
I added check for start and cmd in the script.
See the updated file:
ftp://ftp-mm.urz.tu-dresden.de/pub/mbone/shrimp/mmrz/sdr.tcl

Christoph

,------------------------------------------------------------------.
| Referenzzentrum fuer multimediale Teledienste (MMRZ), TU Dresden |
|         Dr. Klaus Koehler, Christoph Fleck                       |
| e-mail: [email-masked]             Tel.: 0351 / 463 5653  |
|    WWW: http://www-mm.urz.tu-dresden.de               (GERMANY)  |
`------------------------------------------------------------------'